<?php

namespace Nelio_AB_Testing\Experiment_Library\Theme_Experiment;

defined( 'ABSPATH' ) || exit;

use \add_action;
use \add_filter;
use \get_option;
use \is_array;
use \wp_get_theme;

function load_alternative( $alternative ) {

	$theme = wp_get_theme( $alternative['themeId'] );
	if ( ! $theme ) {
		return;
	}//end if

	add_filter(
		'stylesheet',
		function( $stylesheet ) use ( $theme ) {
			return $theme['Stylesheet'];
		}
	);

	add_filter(
		'template',
		function( $template ) use ( $theme ) {
			return $theme['Template'];
		}
	);

	add_filter(
		'sidebars_widgets',
		function( $sidebars_widgets ) use ( $theme ) {

			$theme_mods = get_option( 'theme_mods_' . $theme['Stylesheet'], [] );
			if ( ! isset( $theme_mods['sidebars_widgets'] ) ) {
				return $sidebars_widgets;
			}//end if

			$new_sidebars_widgets = $aux['sidebars_widgets']['data'];
			if ( is_array( $new_sidebars_widgets ) && isset( $new_sidebars_widgets['array_version'] ) ) {
				unset( $new_sidebars_widgets['array_version'] );
			}//end if
			return $new_sidebars_widgets;

		}
	);

}//end load_alternative()
add_action( 'nab_nab/theme_load_alternative', __NAMESPACE__ . '\load_alternative' );
