<?php

namespace Nelio_AB_Testing\Experiment_Library\WooCommerce\Product_Summary_Experiment;

defined( 'ABSPATH' ) || exit;

use \add_action;
use \add_filter;

add_action( 'nab_nab/product-summary_load_alternative', '\Nelio_AB_Testing\Experiment_Library\Headline_Experiment\load_alternative', 10, 4 );

function load_woocommerce_alternative( $alternative, $control ) {

	if ( $control['postId'] === $alternative['postId'] ) {
		return;
	}//end if

	add_filter(
		'woocommerce_product_title',
		function( $title, $object ) use ( $alternative, $control ) {
			if ( $object->get_id() !== $control['postId'] ) {
				return $title;
			}//end if
			if ( empty( $alternative['name'] ) ) {
				return $title;
			}//end if
			return $alternative['name'];
		},
		10,
		2
	);

	add_filter(
		'woocommerce_product_get_name',
		function( $value, $object ) use ( $alternative, $control ) {
			if ( $object->get_id() !== $control['postId'] ) {
				return $value;
			}//end if
			if ( empty( $alternative['name'] ) ) {
				return $value;
			}//end if
			return $alternative['name'];
		},
		10,
		2
	);

	add_filter(
		'woocommerce_order_item_get_name',
		function( $value, $object ) use ( $alternative, $control ) {
			if ( $object->get_product_id() !== $control['postId'] ) {
				return $value;
			}//end if
			if ( empty( $alternative['name'] ) ) {
				return $value;
			}//end if
			return $alternative['name'];
		},
		10,
		2
	);

	add_filter(
		'woocommerce_short_description',
		function( $excerpt ) use ( $alternative, $control ) {
			global $post;
			if ( $post->ID !== $control['postId'] ) {
				return $excerpt;
			}//end if
			if ( empty( $alternative['excerpt'] ) ) {
				return $excerpt;
			}//end if
			return $alternative['excerpt'];
		},
		10,
		2
	);

	add_filter(
		'woocommerce_product_get_image_id',
		function( $value, $object ) use ( $alternative, $control ) {
			if ( $object->get_id() !== $control['postId'] ) {
				return $value;
			}//end if
			if ( empty( $alternative['imageId'] ) ) {
				return $value;
			}//end if
			return $alternative['imageId'];
		},
		10,
		2
	);

}//end load_woocommerce_alternative()
add_action( 'nab_nab/product-summary_load_alternative', __NAMESPACE__ . '\load_woocommerce_alternative', 10, 2 );
